Package org.wso2.carbon.mediation.initializer.persistence

# Class ExecutorStore

java.lang.Object
org.wso2.carbon.mediation.initializer.persistence.AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>
org.wso2.carbon.mediation.initializer.persistence.ExecutorStore

public class ExecutorStore extends AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>

- ## Field Summary

  ### Fields inherited from class org.wso2.carbon.mediation.initializer.persistence.AbstractStore

  `configPath, log, registryStore, serializer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutorStore(String configPath, org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `deleteFile(String fileName, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)`
  Delete the specified file from the persistence store.
  `protected String`
  `getFileName(org.apache.synapse.commons.executors.PriorityExecutor executor)`
  Inspect the given object and find the file name to which it should be serialized to
  `protected org.apache.synapse.commons.executors.PriorityExecutor`
  `getObjectToPersist(String name, org.apache.synapse.config.SynapseConfiguration config)`
  Find the specified object from the SynaspeConfiguration to be saved to the persistence store
  `protected org.apache.axiom.om.OMElement`
  `saveToFile(org.apache.synapse.commons.executors.PriorityExecutor executor, org.apache.synapse.config.SynapseConfiguration synapseConfig)`
  Serialize and save the given object to the local file system
  `protected org.apache.axiom.om.OMElement`
  `serialize(org.apache.synapse.commons.executors.PriorityExecutor executor)`
  Serialize the given object into XML

  ### Methods inherited from class org.wso2.carbon.mediation.initializer.persistence.AbstractStore

  `delete, deleteFromRegistry, deleteItemFromRegistry, handleException, save, saveItemToRegistry, saveToRegistry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutorStore

    public ExecutorStore(String configPath, org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)

- ## Method Details

  - ### saveToFile

    protected org.apache.axiom.om.OMElement saveToFile(org.apache.synapse.commons.executors.PriorityExecutor executor, org.apache.synapse.config.SynapseConfiguration synapseConfig)
    Description copied from class: `AbstractStore`
    Serialize and save the given object to the local file system
    Specified by:
      `saveToFile` in class `AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>`
    Parameters:
      `executor` - Object to be saved
      `synapseConfig` - synapse configuration
    Returns:
      The OMElement generated as a result of the serialization or null

  - ### deleteFile

    protected void deleteFile(String fileName, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)
    Description copied from class: `AbstractStore`
    Delete the specified file from the persistence store. File name is provided as an argument and it is up to the implementation to the calculate the exact file path using the file name and other available data.
    Specified by:
      `deleteFile` in class `AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>`
    Parameters:
      `fileName` - Name of the file to be deleted
      `synapseConfiguration` - synapse configuration

  - ### getObjectToPersist

    protected org.apache.synapse.commons.executors.PriorityExecutor getObjectToPersist(String name, org.apache.synapse.config.SynapseConfiguration config)
    Description copied from class: `AbstractStore`
    Find the specified object from the SynaspeConfiguration to be saved to the persistence store
    Specified by:
      `getObjectToPersist` in class `AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>`
    Parameters:
      `name` - Name or unique ID of the object
      `config` - Current SynapseConfiguration
    Returns:
      The named object or null if such an object doesn't exist

  - ### getFileName

    protected String getFileName(org.apache.synapse.commons.executors.PriorityExecutor executor)
    Description copied from class: `AbstractStore`
    Inspect the given object and find the file name to which it should be serialized to
    Specified by:
      `getFileName` in class `AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>`
    Parameters:
      `executor` - The object to be inspected
    Returns:
      A file name as a string or null if no file name is specified

  - ### serialize

    protected org.apache.axiom.om.OMElement serialize(org.apache.synapse.commons.executors.PriorityExecutor executor)
    Description copied from class: `AbstractStore`
    Serialize the given object into XML
    Specified by:
      `serialize` in class `AbstractStore<org.apache.synapse.commons.executors.PriorityExecutor>`
    Parameters:
      `executor` - The object to be serialized
    Returns:
      The resulting OMElement